package com.patzn.lims.staff.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.staff.entity.LmsStaffFile;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 人员管理文件信息表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-05-15
 */
public interface ILmsStaffFileService extends IBaseService<LmsStaffFile> {


    Page<LmsStaffFile> page(Page<LmsStaffFile> page, LmsStaffFile lmsStaffFile);


    List<LmsStaffFile> list(LmsStaffFile lmsStaffFile);

    LmsStaffFile saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);

    boolean deleteBatch(Long[] ids);

    void updateFiles(List<Long> ids, Long id);

    void downloadFile(Long id, HttpServletResponse response);








}
